Subject: Re: [CDNi] review of draft-ietf-cdni-logging-08 [Batch 2]

From: "Francois Le Faucheur (flefauch)" <[email-masked]>
Date: Tue, 19 Nov 2013 05:38:57 +0000

On 9 Nov 2013, at 21:04, Kevin J Ma <[email-masked]> wrote:
> 
> - section 3.3: The DIRVAL should be specified by the reference
>               document in the CDNI Logging Directive Names registry
>               (Section 5.1).  The BNF should note that.  The fact
>               that the initial directives are defined in this
>               document is a degenerate case of generic DIRVALs.
> 
>    "  DIRVAL = <directive value as specified below for each directive
>                 name>"

Agreed.
This now reads:
"
DIRNAME = <any CDNI Logging Directive name registered in the CDNI
      Logging Directive Names registry (Section 5.1)>

      DIRVAL = <directive value, as specified by the refence identified
      in the CDNI Logging Directive Names registry (Section 5.1) for the
      corresponding DIRNAME>
"

> 
> 
> - section 3.3: For the Record-Type directive, I think it would be more
>               clear to change: "precede any CDNI Logging Record" ->
>               "MUST precede all CDNI Logging Records"

Done.

> 
> 
> - section 3.3: It was not clear to me initially, what this sentance is
>               attempting to say.  3.4 has an example of a logging
>               record and its list of fields, but it's not the only
>               possible logging record, it's just the first one
>               defined.  When I first read this, I interpreted it as
>               all possible logging records are defined in 3.4.
> 
>    "    The names of the fields, as well as their
>         possible occurrences, are specified for each type of CDNI
>         Logging Records in Section 3.4."
> 
>               Perhaps it couldbe clarified to say something like:
> 
>    "    The names of the fields, as well as their
>         possible occurrences, MUST be specified in the referenced
>         document of the CDNI Logging Record-types registry (Section
>         5.2), for each CDNI Logging Record-Type.  This document
>         defines the names of the fields, as well as their possible
>         occurrences, for the "cdni_http_request_v1" Record-Type in
>         Section 3.4.1."

I tentatively included the following wording:
"
        The names of the fields, as well as their
         occurrences, MUST comply with the corresponding rules specified
         in the document referenced in the CDNI Logging Record-types
         registry (Section 5.2) for the corresponding CDNI Logging
         Record-Type.
"
The objective is to stick to "MUST" statements conditioning the implementation (as opposed to a "MUST" statement pharsed more as a defining the IETF process for defining new record-types in the future). 
Let me know if that works for you.

If you feel it is really worth stating that a future spec defining a new record-type needs to specify its fields/occurences, then we could perhaps add a note this as part of the an IANA instructions for the corresponding registry (ie IANA MUST ensure that there is such a spec before allocating a new value in the registry). Personally I feel it is not necessary, but won't object adding such as statement.

Francois

---

From: Kevin J Ma <[email-masked]>
Date: Tue, 19 Nov 2013 00:47:24 -0500

inline:

> -----Original Message-----
> From: Francois Le Faucheur (flefauch) [mailto:[email-masked]]
> Sent: Tuesday, November 19, 2013 12:39 AM
> To: Kevin J Ma
> Cc: Francois Le Faucheur (flefauch); [email-masked]
> Subject: Re: [CDNi] review of draft-ietf-cdni-logging-08 [Batch 2]
> 
> 
> The objective is to stick to "MUST" statements conditioning the
> implementation (as opposed to a "MUST" statement pharsed more as a
> defining the IETF process for defining new record-types in the future).

Works for me.

> If you feel it is really worth stating that a future spec defining a new
> record-type needs to specify its fields/occurences, then we could perhaps
> add a note this as part of the an IANA instructions for the corresponding
> registry (ie IANA MUST ensure that there is such a spec before allocating
> a new value in the registry). Personally I feel it is not necessary, but
> won't object adding such as statement.

I had another comment further down that makes this suggestion for adding
some text to the IANA section.  That's probably the best place for it.

thanx.

--  Kevin J. Ma